﻿Imports System
Imports System.Configuration

Public Class WoojjaConfigurationSection
  Inherits ConfigurationSection

  Private Shared woojjaProperties As ConfigurationPropertyCollection

  Private Shared nameProperty As ConfigurationProperty
  Private Shared isManProperty As ConfigurationProperty
  Private Shared birthdayProperty As ConfigurationProperty

#Region "생성자"
  Shared Sub WoojjaConfigurationSection()
    nameProperty = New ConfigurationProperty("nameValue", GetType(String), String.Empty, ConfigurationPropertyOptions.IsRequired)
    isManProperty = New ConfigurationProperty("isManValue", GetType(Boolean), False, ConfigurationPropertyOptions.None)
    birthdayProperty = New ConfigurationProperty("birthdayValue", GetType(Date), Nothing, ConfigurationPropertyOptions.None)

    woojjaProperties = New ConfigurationPropertyCollection()
    woojjaProperties.Add(nameProperty)
    woojjaProperties.Add(isManProperty)
    woojjaProperties.Add(birthdayProperty)

  End Sub
#End Region

#Region "Properties"
  <ConfigurationProperty("nameValue", isrequired:=True)> _
  Public ReadOnly Property NameValue() As String
    Get
      Return CStr(MyBase.Item("nameValue"))
    End Get
  End Property

  <ConfigurationProperty("isManValue")> _
  Public ReadOnly Property isManValue() As Boolean
    Get
      Return CBool(MyBase.Item("isManValue"))
    End Get
  End Property

  <ConfigurationProperty("birthdayValue")> _
  Public ReadOnly Property BirthdayValueValue() As Date
    Get
      Return DirectCast(MyBase.Item("birthdayValue"), Date)
    End Get
  End Property
#End Region
End Class

